# Method: buyers.proposals.addNote

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/addNote#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/addNote#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/addNote#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/addNote#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/addNote#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/addNote#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/addNote#try-it)

Creates a note for this proposal and sends to the seller. This method is not supported for proposals with `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/DealType` set to 'PRIVATE_AUCTION'.

### HTTP request

`POST https://authorizedbuyersmarketplace.googleapis.com/v1/{proposal=buyers/*/proposals/*}:addNote`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `proposal` | `string` Name of the proposal. Format: `buyers/{accountId}/proposals/{proposalId}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "note": { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Note`) } } ``` |

| Fields ||
|---|---|
| `note` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Note`)`` The note to add. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Proposal`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`